Bug 723345 - Rescue mode fails - TypeError: progressWindow() takes exactly 4 arguments (6 given)
Rescue mode fails - TypeError: progressWindow() takes exactly 4 arguments (6 ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F16Alpha/F16AlphaBlocker
  Show dependency treegraph
 
Reported: 2011-07-19 16:12 EDT by James Laska
Modified: 2013-09-02 02:57 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-16.13-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-03 21:13:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2011-07-19 16:12:29 EDT
Description of problem:

Failure during rescue mode while scanning system partitions.

Version-Release number of selected component (if applicable):
 * anaconda-16.12-1

How reproducible:


Steps to Reproduce:
1. Follow steps outlined in test case at http://fedoraproject.org/wiki/QA:Testcase_Anaconda_rescue_mode
  
Actual results:

                                                                                                Original exception was:
                                                                                                                       Traceback (most recent call last):
                                                                                                                                                           File "/tmp/updates/anaconda", line 806, in <module>
                               anaconda.dispatch.run()
                                                        File "/tmp/updates/pyanaconda/dispatch.py", line 294, in run
                                                                                                                        self.anaconda.intf.run(self.anaconda)
                                                                                                                                                               File "/tmp/updates/pyanaconda/rescue.py", line 139, in run
                                          self.anaconda.dispatch.dispatch()
                                                                             File "/tmp/updates/pyanaconda/dispatch.py", line 338, in dispatch
                                                                                                                                                  self.dir = self.steps[self.step].target(self.anaconda)
                       File "/tmp/updates/pyanaconda/rescue.py", line 321, in doRescue
                                                                                          storage.storageInitialize(anaconda)
                                                                                                                               File "/tmp/updates/pyanaconda/storage/__init__.py", line 116, in storageInitialize
                                  storage.reset()
                                                   File "/tmp/updates/pyanaconda/storage/__init__.py", line 448, in reset
                                                                                                                             100, 0.03, pulse=True)
                                                                                                                                                   TypeError: progressWindow() takes exactly 4 arguments (6 given)


Expected results:

No traceback

Additional info:

 * Impacts F16 Alpha criteria "The rescue mode of the installer must start successfully and be able to detect and mount an existing default installation "
Comment 1 Tim Flink 2011-07-21 12:27:27 EDT
I think this pretty clearly impacts the provided criterion - +1 alpha blocker
Comment 2 Tim Flink 2011-07-22 16:56:39 EDT
Discussed at the 2011-07-22 blocker bug review review meeting. We agreed that this hits the following alpha release criteria and have accepted it as a Fedora 16 alpha blocker bug.

The rescue mode of the installer must start successfully and be able to detect and mount an existing default installation
Comment 3 James Laska 2011-07-29 09:04:53 EDT
Tested and confirmed fix in anaconda-16.14-1.  We can move this to VERIFIED once that package lands in the branched compose.
Comment 4 James Laska 2011-07-29 14:07:00 EDT
(In reply to comment #3)
> Tested and confirmed fix in anaconda-16.14-1.  We can move this to VERIFIED
> once that package lands in the branched compose.

Correction, I'll move to VERIFIED, and we can CLOSE once a TC1 branch compose is available
Comment 5 Adam Williamson 2011-08-03 20:48:19 EDT
James: can you confirm the fix in TC1 and close this? Thanks.
Comment 6 Adam Williamson 2011-08-03 21:13:51 EDT
Confirmed I was able to start rescue mode in TC1. Closing. Re-open if a problem remains, James. thanks!

Note You need to log in before you can comment on or make changes to this bug.